Subject: [ippm] Path Performance and Network Performance

From: 董雯霞 <[email-masked]>
Date: Fri, 26 Sep 2008 10:30:54 +0800

Hi All

Receiving so much advice, I comprehend Path Performance and Network Performance as follows.  Correct me if I am missing any information. Thank you very much.

(1) When measuring the performance from Src to Dst, the path is not specific . It is also called Point-to-Point Performance. Is it right?

(2) When measuring the Path Performance, the path the test packet took is specific. 

(3) When measuring the Network Performance, we can random choose some Src and Dst, ignoring the path the test packet took. And we can get
      some point-to-point performance, then get the Network Performance by compositing those point-to-point performance.

Thanks a lot.

Best wishes.

Wenxia  Dong

> 
> Message: 4
> Date: Thu, 25 Sep 2008 09:52:38 +0200
> From: Henk Uijterwaal <[email-masked]>
> Subject: Re: [ippm] Some questions
> To: IETF IPPM WG <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=UTF-8; format=flowed
> 
> Wenxia wrote:
> 
>> When measuring, how do we designate a specific device to test packet?
>> Configure static routing? But for real large network, static routing is not
>> useful.
> 
> One usually attaches the measurement device to a router on both ends. The 
> devices send packets to eachother and let the routers route them.  With a
> tool like traceroute, one can determine the path that the packet took (or
> most likely took).
> 
>> What  metrics for network performance? Including Loss, Delay, Dely Variation
>> ,etc?
> 
> I'd say all of them, with the focus depending on the application.
> 
>> Commonly, can we estimate the network performance from many paths
>> performance?
> 
> In what sense?  If it is the delay or loss, or whatever, between two
> points (say, my machine and www.xyz.nl), then I can simply measure that
> and ignore any path changes.  If it is between me and the rest of the
> internet, then the composition is much more complex.
> 
> Henk
> 
> 
> -- 
> ------------------------------------------------------------------------------
> Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
> RIPE Network Coordination Centre          http://www.amsterdamned.org/~henk
> P.O.Box 10096          Singel 258         Phone: +31.20.5354414
> 1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
> The Netherlands        The Netherlands    Mobile: +31.6.55861746
> ------------------------------------------------------------------------------
> 
> Ceterum censeo Asplain esse delendam  (Cato & Henk)
> 
> 
> ------------------------------
> 
> Message: 5
> Date: Thu, 25 Sep 2008 08:38:32 -0400
> From: Al Morton <[email-masked]>
> Subject: Re: [ippm] Some questions
> To: Henk Uijterwaal <[email-masked]>, IETF IPPM WG <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"; format=flowed
> 
> At 03:52 AM 9/25/2008, Henk Uijterwaal wrote:
>>Wenxia wrote:
>>>Commonly, can we estimate the network performance from many paths
>>>performance?
>>
>>In what sense?  If it is the delay or loss, or whatever, between two
>>points (say, my machine and www.xyz.nl), then I can simply measure that
>>and ignore any path changes.  If it is between me and the rest of the
>>internet, then the composition is much more complex.
> 
> Is this question seeking what we have called Spatial Aggregation?
>>    ...defined as the combination of metrics of the
>>    same type and different scope, in order to estimate the overall
>>    performance of a larger domain.  This combination may involve
>>    weighing the contributions of the input metrics.
> from 
> http://tools.ietf.org/html/draft-ietf-ippm-framework-compagg-06#section-4.2
> 
> Al
> 
> 
> 
> ------------------------------
> 
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm
> 
> 
> End of ippm Digest, Vol 52, Issue 9
> ***********************************
>
_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm